#!/bin/sh


export _JAVA_OPTIONS="-Xmx16G"
./257844/build.sh
sudo echo 1
echo "Running with" $1 "Messages !"
echo "2P"
echo "\n\n\n" | ./validate.py -r 257844/run.sh -b fifo -l 257844/bin/logs -p 2 -m $1 | grep "finished broadcasting "$1" messages"

echo "4P"
echo "\n\n\n" | ./validate.py -r 257844/run.sh -b fifo -l 257844/bin/logs -p 4 -m $1 | grep "finished broadcasting "$1" messages"

echo "8P"
echo "\n\n\n" | ./validate.py -r 257844/run.sh -b fifo -l 257844/bin/logs -p 8 -m $1 | grep "finished broadcasting "$1" messages"

echo "16P"
echo "\n\n\n" | ./validate.py -r 257844/run.sh -b fifo -l 257844/bin/logs -p 16 -m $1 | grep "finished broadcasting "$1" messages"

echo "32P"
echo "\n\n\n" | ./validate.py -r 257844/run.sh -b fifo -l 257844/bin/logs -p 32 -m $1 | grep "finished broadcasting "$1" messages"

